Bug 1011847 - [abrt] gnome-abrt-0.3.1-1.fc19: dlmmap_locked: Process /usr/bin/python2.7 was killed by signal 7 (SIGBUS)
[abrt] gnome-abrt-0.3.1-1.fc19: dlmmap_locked: Process /usr/bin/python2.7 was...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:ce890b69f908d90ea20d170ce65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 04:52 EDT by nospam
Modified: 2016-11-30 19:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 10:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.72 KB, text/plain)
2013-09-25 04:52 EDT, nospam
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: core_backtrace (9.92 KB, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: dso_list (12.16 KB, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: environ (2.75 KB, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: maps (52.09 KB, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: open_fds (435 bytes, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-09-25 04:53 EDT, nospam
no flags Details

  None (edit)
Description nospam 2013-09-25 04:52:40 EDT
Version-Release number of selected component:
gnome-abrt-0.3.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gnome-abrt -p /var/tmp/abrt/ccpp-2013-09-25-09:22:56-3395
crash_function: dlmmap_locked
executable:     /usr/bin/python2.7
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Sep 25 09:40:47 dhcppc0 abrt[2553]: Saved core dump of pid 2544 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-09-25-09:40:47-2544 (27856896 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dlmmap_locked at ../src/closures.c:460
 #1 dlmmap at ../src/closures.c:506
 #2 sys_alloc at ../src/dlmalloc.c:3515
 #3 dlmalloc at ../src/dlmalloc.c:4245
 #4 ffi_closure_alloc at ../src/closures.c:572
 #5 g_callable_info_prepare_closure at girepository/girffi.c:365
 #6 _pygi_make_native_closure at pygi-closure.c:637
 #7 _wrap_pyg_hook_up_vfunc_implementation at gimodule.c:409
 #8 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740

Potential duplicate: bug 954178
Comment 1 nospam 2013-09-25 04:52:45 EDT
Created attachment 802642 [details]
File: backtrace
Comment 2 nospam 2013-09-25 04:53:19 EDT
Created attachment 802648 [details]
File: cgroup
Comment 3 nospam 2013-09-25 04:53:22 EDT
Created attachment 802650 [details]
File: core_backtrace
Comment 4 nospam 2013-09-25 04:53:25 EDT
Created attachment 802652 [details]
File: dso_list
Comment 5 nospam 2013-09-25 04:53:29 EDT
Created attachment 802654 [details]
File: environ
Comment 6 nospam 2013-09-25 04:53:32 EDT
Created attachment 802656 [details]
File: exploitable
Comment 7 nospam 2013-09-25 04:53:35 EDT
Created attachment 802658 [details]
File: limits
Comment 8 nospam 2013-09-25 04:53:46 EDT
Created attachment 802659 [details]
File: maps
Comment 9 nospam 2013-09-25 04:53:49 EDT
Created attachment 802660 [details]
File: open_fds
Comment 10 nospam 2013-09-25 04:53:52 EDT
Created attachment 802661 [details]
File: proc_pid_status
Comment 11 Jakub Filak 2013-09-25 05:09:12 EDT
Thanks for filing this bug report.

Seems like a bug in selinux-policy (see bug #697223, bug #815228). Do you have any AVC similar to some of AVCs in comments of bug #697223?
Comment 12 nospam 2013-10-26 00:59:37 EDT
I no longer have access to machine on which i reported the bug sorry
Comment 13 Jakub Filak 2013-12-06 10:18:24 EST
Closing as INSUFFICIENT_DATA because there is no chance to receive sufficient information, please reopen if needed.
Comment 14 collura 2014-01-03 08:06:18 EST
abrt-2.1.10-1.fc20.x86_64 directed me to this bug.  abrt declared that system-config-printer had crashed (was during system-config-printer debug phase) and had popped up a password dialog which i cancelled because wasnt sure where it came from (but when rebooted so could get abrt to launch found that the crash was under system tab so it was probably abrt asking permission to get at it).

regarding comment#11: i don see any selinux advisories for the time
Comment 15 Jakub Filak 2014-01-03 09:09:16 EST
Just to be sure, you clicked "Report" button in the system-config-printer crash notification bubble and the password dialog, which you cancelled, appeard?

And when did you noticed that gnome-abrt ("Automatic Bug Reporting Tool") had crashed?
Comment 16 collura 2014-01-04 03:56:34 EST
that sounds right.  however when i tried it again just now didnt get the password dialog (probably because its already moved to user report tab instead of system report tab that it was on originally).  

noticed that the reporting of system-config-printer cancelled in about 4seconds and then an abrt crash report bubble pops up.

**i think that this bug is not abrt issue but a problem that abrt has trying to access non-existant space in /tmp?  the /tmp directory goes from 1percent usage before you run system-config-printer to 100percent usage when you run the system-config-printer troubleshoot procedure so this bug can probably stay closed though would be nice if failed less catastrophically.

the system-config-printer troubleshoot seems to generate large quantities of data in /tmp and in /var/log/cups/*_log .

Note You need to log in before you can comment on or make changes to this bug.